Leap0

Create a commit

Commit staged changes with a message.

POST
/v1/sandbox/{sandboxID}/git/commit

Commit staged changes with a message.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Path to the git repository.

message*string

Commit message.

author?string

Author name for the commit.

email?string

Author email for the commit.

allow_empty?boolean

Allow creating an empty commit.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/commit" \  -H "Content-Type: application/json" \  -d '{    "path": "string",    "message": "string"  }'
{  "sha": "string",  "result": {    "output": "string",    "exit_code": 0  }}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}